body:not([class*=elementor-page-]) main.site-main.taxonomy-archive-layout {
	.e-con {
		padding-inline-end: 0;
		padding-inline-start: 0;
	}
}
.elementor-element.magazin-layout-wrapper {
	display: flex;
	gap: 30px; /* Távolság a cikkek listája és a sidebar között */
	align-items: flex-start;
	max-width: var(--desktop-xl);
	margin: 0 auto;

	/* Tablet és mobil nézet (Sidebar a cikkek alá kerül) */
	@media (max-width: 1200px) {
		flex-direction: column;
		gap: 40px;
	}

	.cikk-lista {
		flex: 3;
		width: 100%; /* Mobil nézetben kitölti a szélességet */
	}
}

/* A sidebar kapjon teljes szélességet mobilon */
.magazin-layout-wrapper > .sidebar {
	@media (max-width: 991px) {
		width: 100%;
	}
}

.cikk-elem {
	display: flex;
	justify-content: space-between;
	margin-bottom: 2rem;
	gap: 20px;

	.cikk-szoveg {
		flex: 1;
		padding-right: 20px;

		h2.cikk-cim {
			margin-bottom: 8px;
		}

		h3.cikk-alcim {
			line-height: 1.3;
		}
	}

	.cikk-kep {
		flex-basis: 250px;
		flex-shrink: 0;

		img {
			width: 100%;
			height: 100%;
			max-height: 250px;
			object-fit: cover;
		}
	}

	/* Mobil töréspont (Cikk kártya beállításai) */
	@media (max-width: 768px) {
		display: grid;
		grid-template-columns: 1fr;
		gap: 0;

		.cikk-cim {
			order: 1;
		}

		.cikk-alcim {
			order: 2;
		}

		.cikk-szoveg {
			display: contents;
			padding-right: 0;
		}

		.cikk-kep {
			order: 3;
			width: 100%;

			img {
				max-height: 200px;
			}
		}

		.cikk-excerpt {
			order: 4;
		}

		.magazin-meta {
			order: 5;
		}
	}
}